package com.bonus.canteen.core.alloc.mapper;

import java.util.List;
import com.bonus.canteen.core.alloc.domain.AllocArea;

/**
 * 区域Mapper接口
 * 
 * @author xsheng
 * @date 2025-04-03
 */
public interface AllocAreaMapper {
    /**
     * 查询区域
     * 
     * @param areaId 区域主键
     * @return 区域
     */
    public AllocArea selectAllocAreaByAreaId(Long areaId);

    public AllocArea selectAllocAreaByAreaName(String areaName);

    /**
     * 查询区域列表
     * 
     * @param allocArea 区域
     * @return 区域集合
     */
    public List<AllocArea> selectAllocAreaList(AllocArea allocArea);

    /**
     * 新增区域
     * 
     * @param allocArea 区域
     * @return 结果
     */
    public int insertAllocArea(AllocArea allocArea);

    /**
     * 修改区域
     * 
     * @param allocArea 区域
     * @return 结果
     */
    public int updateAllocArea(AllocArea allocArea);

    /**
     * 删除区域
     * 
     * @param areaId 区域主键
     * @return 结果
     */
    public int deleteAllocAreaByAreaId(Long areaId);

    /**
     * 批量删除区域
     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAllocAreaByAreaIds(Long[] areaIds);
}
